component: DeployVersionMonitor
proto_imports:
    - vehicle/computer_hardware/diagnostics/deploy_version_monitor_diagnostics.proto
metric: DeployVersionMetrics
namespace: zoox::computer_hardware
faults:
  - id: 1
    name: SystemVersionError
    severity: WARNING
    description: Not used. This error is here for backcompat purposes, and may affect runs between 3/11/21-3/18/21
    freeze_frame: SystemVersionErrorFreezeFrame
    deprecated: true
  - id: 2
    name: DeployVersionMetricsGenError
    severity: WARNING
    description: Error when generating version metrics
    freeze_frame: DeployVersionInternalErrorFreezeFrame
    deprecated: true
  - id: 3
    name: DeployVersionMetricsValueError
    severity: WARNING
    description: Error when the fields in the version file are not the same. This should be fixable by deploying the same system version to all machines
    freeze_frame: DeployVersionMetricsValueFreezeFrame
  - id: 4
    name: FileVersionError
    severity: WARNING
    description: Error when individual files are not the same as what was deployed. Redeploying the system software should reset the files and correct the divergence.
    freeze_frame: FileVersionErrorFreezeFrame
  - id: 5
    name: FileVersionStartError
    severity: WARNING
    description: An internal error occured while trying to process the deployed timestamp and manifest files. See freezeframe for details.
    freeze_frame: DeployVersionInternalErrorFreezeFrame
  - id: 6
    name: FileVersionStatError
    severity: WARNING
    description: Error when calling system stat on individual files. This could be caused by files being deleted. Redeploying the system software might reset the files and correct the issue.
    freeze_frame: FileVersionErrorFreezeFrame
